- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 03a6b6ad-8475-4266-af50-b0e23a92c4ee
    creation_time: 2023-02-17T13:45:10.429939Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark27_linear.c
      input_file_hashes:
        c/loop-zilu/benchmark27_linear.c: 635607d3696f782e377f8d05ce57901700911de876e1f2f951d0c8cce1ebd6bb
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark27_linear.c
    file_hash: 635607d3696f782e377f8d05ce57901700911de876e1f2f951d0c8cce1ebd6bb
    line: 26
    column: 0
    function: main
  loop_invariant:
    string: k > i - j && i <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a6d04510-459e-43c0-a1bf-b7a80f9b905e
    creation_time: 2023-02-17T13:45:10.430340Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark27_linear.c
      input_file_hashes:
        c/loop-zilu/benchmark27_linear.c: 635607d3696f782e377f8d05ce57901700911de876e1f2f951d0c8cce1ebd6bb
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark27_linear.c
    file_hash: 635607d3696f782e377f8d05ce57901700911de876e1f2f951d0c8cce1ebd6bb
    line: 31
    column: 0
    function: main
  location_invariant:
    string: k > 0
    type: assertion
    format: C

